curl -X GET "https://config.gms.ensync.cloud/v1/workspace?pageIndex=0&limit=10&order=ASC&orderBy=name" \
-H "X-API-KEY: your-api-key"
{
"resultsLength": 2,
"results": [
{
"id": 1,
"name": "production",
"path": "/production",
"parentId": 0,
"createdAt": "2024-01-15T10:30:00Z",
"children": []
}
]
}
Workspaces
List Workspaces
Retrieves a list of workspaces with optional filtering
GET
/
workspace
curl -X GET "https://config.gms.ensync.cloud/v1/workspace?pageIndex=0&limit=10&order=ASC&orderBy=name" \
-H "X-API-KEY: your-api-key"
{
"resultsLength": 2,
"results": [
{
"id": 1,
"name": "production",
"path": "/production",
"parentId": 0,
"createdAt": "2024-01-15T10:30:00Z",
"children": []
}
]
}
Query Parameters
string
The name of the workspace to filter
string
The id of the workspace to filter
integer
required
Page index (minimum: 0)
integer
required
Number of results per page (1-100)
string
required
Sort order:
ASC, DESC, asc, or descstring
required
Field to sort by:
name or createdAtResponse
integer
Number of results returned
array
curl -X GET "https://config.gms.ensync.cloud/v1/workspace?pageIndex=0&limit=10&order=ASC&orderBy=name" \
-H "X-API-KEY: your-api-key"
{
"resultsLength": 2,
"results": [
{
"id": 1,
"name": "production",
"path": "/production",
"parentId": 0,
"createdAt": "2024-01-15T10:30:00Z",
"children": []
}
]
}